@charset "UTF-8";

@font-face {
    font-family: 'Material Icons';
    src: local('Material Icons'), local('MaterialIcons-Regular'), url(../fonts/Material_Icons.woff2), url(https://fonts.gstatic.com/s/materialicons/v16/2fcrYFNaTjcS6g4U3t-Y5RV6cRhDpPC5P4GCEJpqGoc.woff) format('woff');
}

.material-icons {
    font-family: 'Material Icons';
    text-transform: none;
    font-style: normal;
    font-feature-settings: 'liga';
    -webkit-font-feature-settings: 'liga';
    -webkit-font-smoothing: antialiased;
}

::-moz-selection {
    background: #B3D4FC;
    text-shadow: none;
}

::selection {
    background: #B3D4FC;
    text-shadow: none;
}

a, .mdl-button, .mdl-item, .mdl-radio {
    -webkit-tap-highlight-color: transparent;
    -webkit-tap-highlight-color: rgba(255, 255, 255, 0);
}

html {
    color: rgba(0, 0, 0, .87);
    height: 100%;
    -ms-touch-action: manipulation;
    touch-action: manipulation;
}

body {
    min-height: 100%;
    margin: 0;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
}

html, body {
    width: 100%;
    font-family: "Helvetica", "Arial", sans-serif;
    font-size: 14px;
    font-weight: 400;
    line-height: 20px;
}

h3, h4, p {
    padding: 0;
}

h3, h4 {
    font-family: "Roboto", "Helvetica", "Arial", sans-serif;
    font-weight: 400;
}

h3 {
    font-size: 34px;
    line-height: 40px;
    margin: 24px 0;
}

h4 {
    font-size: 24px;
    line-height: 32px;
    -moz-osx-font-smoothing: grayscale;
    margin: 24px 0 16px;
}

p {
    font-size: 14px;
    letter-spacing: 0;
    margin: 0 0 16px;
    font-weight: 400;
    line-height: 24px;
}

a {
    color: rgb(255, 64, 129);
    font-weight: 500;
}

ul {
    font-size: 14px;
    line-height: 24px;
    font-weight: 400;
    letter-spacing: 0;
}

.mdl-ripple {
    background: #000000;
    border-radius: 50%;
    height: 50px;
    left: 0;
    opacity: 0;
    pointer-events: none;
    position: absolute;
    top: 0;
    -webkit-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    width: 50px;
    overflow: hidden;
}

.mdl-ripple.is-animating {
    -webkit-transition: -webkit-transform .3s cubic-bezier(0, 0, .2, 1), width .3s cubic-bezier(0, 0, .2, 1), height .3s cubic-bezier(0, 0, .2, 1), opacity .6s cubic-bezier(0, 0, .2, 1);
    transition: transform .3s cubic-bezier(0, 0, .2, 1), width .3s cubic-bezier(0, 0, .2, 1), height .3s cubic-bezier(0, 0, .2, 1), opacity .6s cubic-bezier(0, 0, .2, 1);
}

.mdl-ripple.is-visible {
    opacity: .3;
}

.mdl-button {
    background: 0 0;
    border: none;
    border-radius: 2px;
    color: #000000;
    position: relative;
    height: 36px;
    min-width: 64px;
    padding: 0 8px;
    display: inline-block;
    font-family: "Roboto", "Helvetica", "Arial", sans-serif;
    font-size: 14px;
    font-weight: 500;
    text-transform: uppercase;
    letter-spacing: 0;
    overflow: hidden;
    will-change: box-shadow, transform;
    -webkit-transition: box-shadow .2s cubic-bezier(.4, 0, 1, 1), background-color .2s cubic-bezier(.4, 0, .2, 1), color .2s cubic-bezier(.4, 0, .2, 1);
    transition: box-shadow .2s cubic-bezier(.4, 0, 1, 1), background-color .2s cubic-bezier(.4, 0, .2, 1), color .2s cubic-bezier(.4, 0, .2, 1);
    outline: none;
    cursor: pointer;
    text-decoration: none;
    text-align: center;
    line-height: 36px;
    vertical-align: middle;
}
.mdl-button::-moz-focus-inner {
    border: 0;
}

.mdl-button:hover {
    background-color: rgba(158, 158, 158, .2);
}

.mdl-button:focus:not(:active) {
    background-color: rgba(0, 0, 0, .12);
}

.mdl-button:active {
    background-color: rgba(158, 158, 158, .4);
}

.mdl-button--raised {
    background: rgba(158, 158, 158, .2);
    box-shadow: 0 2px 2px 0 rgba(0, 0, 0, .14), 0 3px 1px -2px rgba(0, 0, 0, .2), 0 1px 5px 0 rgba(0, 0, 0, .12);
}

.mdl-button--raised:active {
    box-shadow: 0 4px 5px 0 rgba(0, 0, 0, .14), 0 1px 10px 0 rgba(0, 0, 0, .12), 0 2px 4px -1px rgba(0, 0, 0, .2);
    background-color: rgba(158, 158, 158, .4);
}

.mdl-button--raised:focus:not(:active) {
    box-shadow: 0 0 8px rgba(0, 0, 0, .18), 0 8px 16px rgba(0, 0, 0, .36);
    background-color: rgba(158, 158, 158, .4);
}

.mdl-button--raised.mdl-button--colored {
    background: rgb(63, 81, 181);
    color: rgb(255, 255, 255);
}

.mdl-button--raised.mdl-button--colored:hover {
    background-color: rgb(63, 81, 181);
}

.mdl-button--raised.mdl-button--colored:active {
    background-color: rgb(63, 81, 181);
}

.mdl-button--raised.mdl-button--colored:focus:not(:active) {
    background-color: rgb(63, 81, 181);
}

.mdl-button--raised.mdl-button--colored .mdl-ripple {
    background: rgb(255, 255, 255);
}

.mdl-button--icon {
    border-radius: 50%;
    font-size: 24px;
    height: 32px;
    margin-left: 0;
    margin-right: 0;
    min-width: 32px;
    width: 32px;
    padding: 0;
    overflow: hidden;
    color: inherit;
    line-height: normal;
}

.mdl-button--icon .material-icons {
    position: absolute;
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-12px, -12px);
    -ms-transform: translate(-12px, -12px);
    transform: translate(-12px, -12px);
    line-height: 24px;
    width: 24px;
}

.mdl-button--icon.mdl-button--mini-icon .material-icons {
    top: 0;
    left: 0;
}

.mdl-button .material-icons {
    vertical-align: middle;
}

.mdl-menu__container {
    display: block;
    margin: 0;
    padding: 0;
    border: none;
    position: absolute;
    overflow: visible;
    height: 0;
    width: 0;
    visibility: hidden;
    z-index: -1;
}

.mdl-menu__container.is-visible, .mdl-menu__container.is-animating {
    z-index: 999;
    visibility: visible;
}

.mdl-menu__outline {
    display: block;
    background: #FFFFFF;
    margin: 0;
    padding: 0;
    border: none;
    border-radius: 2px;
    position: absolute;
    top: 0;
    left: 0;
    overflow: hidden;
    opacity: 0;
    -webkit-transform: scale(0);
    -ms-transform: scale(0);
    transform: scale(0);
    -webkit-transform-origin: 0 0;
    -ms-transform-origin: 0 0;
    transform-origin: 0 0;
    box-shadow: 0 2px 2px 0 rgba(0, 0, 0, .14), 0 3px 1px -2px rgba(0, 0, 0, .2), 0 1px 5px 0 rgba(0, 0, 0, .12);
    will-change: transform;
    -webkit-transition: -webkit-transform .3s cubic-bezier(.4, 0, .2, 1), opacity .2s cubic-bezier(.4, 0, .2, 1);
    transition: transform .3s cubic-bezier(.4, 0, .2, 1), opacity .2s cubic-bezier(.4, 0, .2, 1);
    z-index: -1;
}

.mdl-menu__container.is-visible .mdl-menu__outline {
    opacity: 1;
    -webkit-transform: scale(1);
    -ms-transform: scale(1);
    transform: scale(1);
    z-index: 999;
}

.mdl-menu {
    position: absolute;
    list-style: none;
    top: 0;
    left: 0;
    height: auto;
    width: auto;
    min-width: 124px;
    padding: 8px 0;
    margin: 0;
    opacity: 0;
    clip: rect(0 0 0 0);
    z-index: -1;
}

.mdl-menu__container.is-visible .mdl-menu {
    opacity: 1;
    z-index: 999;
}

.mdl-menu.is-animating {
    -webkit-transition: opacity .2s cubic-bezier(.4, 0, .2, 1), clip .3s cubic-bezier(.4, 0, .2, 1);
    transition: opacity .2s cubic-bezier(.4, 0, .2, 1), clip .3s cubic-bezier(.4, 0, .2, 1);
}

.mdl-menu__item {
    display: block;
    border: none;
    color: rgba(0, 0, 0, .87);
    background-color: transparent;
    text-align: left;
    margin: 0;
    padding: 0 16px;
    outline-color: #BDBDBD;
    position: relative;
    overflow: hidden;
    font-size: 14px;
    font-weight: 400;
    letter-spacing: 0;
    text-decoration: none;
    cursor: pointer;
    height: 48px;
    line-height: 48px;
    white-space: nowrap;
    opacity: 0;
    -webkit-transition: opacity .2s cubic-bezier(.4, 0, .2, 1);
    transition: opacity .2s cubic-bezier(.4, 0, .2, 1);
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.mdl-menu__container.is-visible .mdl-menu__item {
    opacity: 1;
}

.mdl-menu__item::-moz-focus-inner {
    border: 0;
}

.mdl-menu__item:hover {
    background-color: #EEEEEE;
}

.mdl-menu__item:focus {
    outline: none;
    background-color: #EEEEEE;
}

.mdl-menu__item:active {
    background-color: #E0E0E0;
}

.mdl-radio {
    position: relative;
    font-size: 16px;
    line-height: 24px;
    display: inline-block;
    box-sizing: border-box;
    padding-left: 0;
    margin: 0 0 0 -5px!important;
}

.mdl-radio.is-upgraded {
    padding-left: 24px;
}

.mdl-radio.is-upgraded .mdl-radio__button {
    position: absolute;
    width: 0;
    height: 0;
    margin: 0;
    padding: 0;
    opacity: 0;
    -ms-appearance: none;
    -moz-appearance: none;
    -webkit-appearance: none;
    appearance: none;
    border: none;
}

.mdl-radio__outer-circle {
    position: absolute;
    top: 4px;
    left: 0;
    display: inline-block;
    box-sizing: border-box;
    width: 16px;
    height: 16px;
    margin: 0;
    cursor: pointer;
    border: 2px solid rgba(0, 0, 0, .54);
    border-radius: 50%;
    z-index: 2;
}

.mdl-radio.is-checked .mdl-radio__outer-circle {
    border: 2px solid rgb(63, 81, 181);
}

.mdl-radio__inner-circle {
    position: absolute;
    z-index: 1;
    margin: 0;
    top: 8px;
    left: 4px;
    box-sizing: border-box;
    width: 8px;
    height: 8px;
    cursor: pointer;
    -webkit-transition-duration: .28s;
    transition-duration: .28s;
    -webkit-transition-timing-function: cubic-bezier(.4, 0, .2, 1);
    transition-timing-function: cubic-bezier(.4, 0, .2, 1);
    -webkit-transition-property: -webkit-transform;
    transition-property: transform;
    -webkit-transform: scale3d(0, 0, 0);
    transform: scale3d(0, 0, 0);
    border-radius: 50%;
    background: rgb(63, 81, 181);
}

.mdl-radio.is-checked .mdl-radio__inner-circle {
    -webkit-transform: scale3d(1, 1, 1);
    transform: scale3d(1, 1, 1);
}

.mdl-radio.is-focused .mdl-radio__inner-circle {
    box-shadow: 0 0 0 10px rgba(0, 0, 0, .1);
}

.mdl-radio__label {
    cursor: pointer;
    margin: 0!important;
    padding: 0 0 0 10px!important;
}

.mdl-radio__ripple-container {
    position: absolute;
    z-index: 2;
    top: -9px;
    left: -13px;
    box-sizing: border-box;
    width: 42px;
    height: 42px;
    border-radius: 50%;
    cursor: pointer;
    overflow: hidden;
    -webkit-mask-image: -webkit-radial-gradient(circle, #FFFFFF, #000000);
}

.mdl-radio__ripple-container .mdl-ripple {
    background: rgb(63, 81, 181);
}

.mdl-textfield {
    position: relative;
    font-size: 16px;
    display: inline-block;
    box-sizing: border-box;
    width: 300px;
    max-width: 100%;
    margin: 0;
    padding: 20px 0;
}

.mdl-textfield__input {
    border: none;
    border-bottom: 1px solid rgba(0, 0, 0, .12);
    display: block;
    font-size: 16px;
    margin: 0;
    padding: 4px 0;
    width: 100%;
    background: 0 0;
    text-align: left;
    color: inherit;
}

.mdl-textfield.is-focused .mdl-textfield__input {
    outline: none;
}

.mdl-textfield.is-invalid .mdl-textfield__input {
    border-color: #DE3226;
    box-shadow: none;
}

.mdl-textfield textarea.mdl-textfield__input {
    display: block;
}

.mdl-textfield__label {
    bottom: 0;
    color: rgba(0, 0, 0, .26);
    font-size: 16px;
    left: 0;
    right: 0;
    pointer-events: none;
    position: absolute;
    display: block;
    top: 24px;
    width: 100%;
    overflow: hidden;
    white-space: nowrap;
    text-align: left;
}

.mdl-textfield.is-dirty .mdl-textfield__label {
    visibility: hidden;
}

.mdl-textfield__label:after {
    background-color: rgb(63, 81, 181);
    bottom: 20px;
    content: '';
    height: 2px;
    left: 45%;
    position: absolute;
    -webkit-transition-duration: .2s;
    transition-duration: .2s;
    -webkit-transition-timing-function: cubic-bezier(.4, 0, .2, 1);
    transition-timing-function: cubic-bezier(.4, 0, .2, 1);
    visibility: hidden;
    width: 10px;
}

.mdl-textfield.is-focused .mdl-textfield__label:after {
    left: 0;
    visibility: visible;
    width: 100%
}

.mdl-textfield.is-invalid .mdl-textfield__label:after {
    background-color: #DE3226;
}

.mdl-textfield__error {
    color: #DE3226;
    position: absolute;
    font-size: 12px;
    margin-top: 3px;
    visibility: hidden;
    display: block;
}

.mdl-textfield.is-invalid .mdl-textfield__error {
    visibility: visible;
}
